Bug 58293 - Laptop Install Enhancements
Laptop Install Enhancements
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-13 05:32 EST by eric_backus
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 07:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric_backus 2002-01-13 05:32:16 EST
Description of Problem:

There are a few things that the RedHat 7.2 Laptop install could do better.  
You could look at these as bugs or enhancement requests, depending on your 
point of view.

1. The X font server xfs is installed so that it runs at run levels 2, 3, 4, 
and 5.  On a laptop you're not likely running xfs to serve other machines, so 
there is no particular need for a font server unless X is running, so the font 
server should really only run at run level 5.  The same fix would probably be 
a good idea for a Workstation install, but perhaps not on a Server install.

2. On a laptop, the user should by default be able to use apm.  This enables, 
for example, KDE to switch the computer to standby or suspend after a timeout. 
 But this doesn't work unless /usr/bin/apm is setuid root.  So /usr/bin/apm 
should be installed setuid root.

3. On a laptop, the user will almost certainly have to turn on masquerading in 
sendmail.  It would be nice if /etc/mail/sendmail.mc had most of this already 
configured.  For example, the line "FEATURE(masquerade_envelope)" should 
probably be there, along with a commented-out 
"MASQUERADE_AS(<some_dummy_domain>)" line.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bernhard Rosenkraenzer 2002-01-15 07:48:29 EST
Please try filing separate reports for problems/enhancement requests concerning
different packages next time - different packages have different maintainers.

As for your individual suggestions:

1. I strongly disagree about configuring X to use xfs, then not starting it in
   runlevel 3. Many people (myself included) use runlevel 3 and run startx when
   they need to run X for something.
   I agree that xfs wastes space while X isn't running and the machine isn't a
   font server though...
   Two possible fixes:
   - Optionally making it possible to run X without xfs, making it access the
     fonts directly.
     You might want to file this as an enhancement request for Xconfigurator,
     it's really an XF86Config-4 thing.
   - Make startx start xfs if it's used and not running, and terminating xfs
     when X has exited if it was started by startx.
     You might want to file this as an enhancement request for XFree86.

2. Making apmd setuid root is a major security risk (think "apm -s"). While I
   understand the need in certain situations, this certainly shouldn't be the
   default. I'm currently working on a tool that will help you configure
   security<->usability tradeoffs like this one, though.

3. I agree; reassigning to sendmail so this one can be addressed.
Comment 2 Florian La Roche 2002-03-10 02:38:48 EST
We cannot provide a working version for all users here and email setup needs
some knowledge about how you want to have your setup. All needed information
is included, everything else might be done within future config tools for
email-setup.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.